Search documentation of stripe_elixir

# StripeElixir.Services.CustomerCashBalanceService (stripe_elixir v0.1.0)

Copy Markdown View Source

CustomerCashBalance API operations.

## Summary

### Functions

retrieve(client, customer, params \\ %{}, opts \\ [])

Retrieve a cash balance

update(client, customer, params \\ %{}, opts \\ [])

Update a cash balance's settings

## Functions

# retrieve(client, customer, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a cash balance

Retrieves a customer’s cash balance.

# update(client, customer, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update a cash balance's settings

Changes the settings on a customer’s cash balance.